Update Split
curl --request PUT \
--url https://api.royalti.io/split/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"asset": "d1c5b49e-95fa-4aed-930e-cf314c16a53d",
"product": null,
"type": "Publishing",
"startDate": "2022-01-01",
"endDate": "2022-01-31",
"name": "Updated Nigerian split train",
"split": [
{
"user": "cf960b5a-37cd-484a-b461-0b191b09bed1",
"share": 70
},
{
"user": "4e39b347-7db0-417d-a5bc-3d8493c9ce19",
"share": 30
}
]
}
'import requests
url = "https://api.royalti.io/split/{id}"
payload = {
"asset": "d1c5b49e-95fa-4aed-930e-cf314c16a53d",
"product": None,
"type": "Publishing",
"startDate": "2022-01-01",
"endDate": "2022-01-31",
"name": "Updated Nigerian split train",
"split": [
{
"user": "cf960b5a-37cd-484a-b461-0b191b09bed1",
"share": 70
},
{
"user": "4e39b347-7db0-417d-a5bc-3d8493c9ce19",
"share": 30
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
asset: 'd1c5b49e-95fa-4aed-930e-cf314c16a53d',
product: null,
type: 'Publishing',
startDate: '2022-01-01',
endDate: '2022-01-31',
name: 'Updated Nigerian split train',
split: [
{user: 'cf960b5a-37cd-484a-b461-0b191b09bed1', share: 70},
{user: '4e39b347-7db0-417d-a5bc-3d8493c9ce19', share: 30}
]
})
};
fetch('https://api.royalti.io/split/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Split was updated successfully."
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}Splits
Update Split
/split/
PUT
/
split
/
{id}
Update Split
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
/split/ Description: The/split/{splitId} endpoint allows updating the details of a specific split identified by their unique splitId.
Authorization:
- Required role:
adminor higher
PUT
Code Examples
const response = await fetch('https://api.royalti.io/split/example-id', {
method: 'PUT',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"asset": "sample-asset",
"product": "sample-product",
"type": "sample-type",
"startDate": "2024-01-21",
"endDate": "2024-01-21",
"name": "sample-name",
"contract": "sample-contract",
"ContractId": "sample-ContractId",
"memo": "sample-memo",
"split": [
{
"ref": "#/components/schemas/SplitShare"
}
],
"conditions": [
{
"mode": "sample-mode",
"memo": "sample-memo",
"territories": [
{}
],
"dsps": [
{}
],
"usageTypes": [
{}
],
"customDimension": "sample-customDimension",
"customValues": [
{}
]
}
]
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.put(
'https://api.royalti.io/split/example-id',
headers={
'Authorization': f'Bearer {token}'
},
json={"asset":"sample-asset","product":"sample-product","type":"sample-type","startDate":"2024-01-21","endDate":"2024-01-21","name":"sample-name","contract":"sample-contract","ContractId":"sample-ContractId","memo":"sample-memo","split":[{"ref":"#/components/schemas/SplitShare"}],"conditions":[{"mode":"sample-mode","memo":"sample-memo","territories":[{}],"dsps":[{}],"usageTypes":[{}],"customDimension":"sample-customDimension","customValues":[{}]}]}
)
data = response.json()
print(data)
curl -X PUT https://api.royalti.io/split/example-id \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"asset":"sample-asset","product":"sample-product","type":"sample-type","startDate":"2024-01-21","endDate":"2024-01-21","name":"sample-name","contract":"sample-contract","ContractId":"sample-ContractId","memo":"sample-memo","split":[{"ref":"#/components/schemas/SplitShare"}],"conditions":[{"mode":"sample-mode","memo":"sample-memo","territories":[{}],"dsps":[{}],"usageTypes":[{}],"customDimension":"sample-customDimension","customValues":[{}]}]}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Path Parameters
Split ID
Body
application/json
An array of objects containing user shares
Show child attributes
Show child attributes
The UUID of the asset related to the revenue
The UUID of the product related to the revenue
The type of revenue (e.g., Publishing, YouTube, Live)
The start date of the split period (inclusive)
The end date of the split period (exclusive)
The name or description of the revenue split
Conditions for split matching
Show child attributes
Show child attributes
Response
Success
⌘I